if(!isObject(GlassWindowDarkProfile)) new GuiControlProfile(GlassWindowDarkProfile : GlassWindowProfile) 
{
	bitmap = "Add-Ons/Client_DarkGlass/glassWindowDark";
  	fillColor = "47 49 54 255";
  	fontColors[0] = "220 220 220 255";
};

function setGlassDarkMode()
{
	for(%i = 0; %i < getFieldCount(Glass.windows); %i++) 
	{       
		%window = getField(Glass.windows, %i);
		if(!isObject(%window))
		  continue;

		%window.setProfile(GlassWindowDarkProfile);
	}

	for(%i = 0; %i < canvas.getCount(); %i++) 
	{
		%o = canvas.getObject(%i);
		canvas.schedule(0, popDialog, %o);
		canvas.schedule(1, pushDialog, %o);
	}

	%main = GlassLoadingGui.getObject(1);
  	for(%i = 0; %i < %main.getCount(); %i++)
  	{
  		%button = %main.getObject(%i);
  		if(%button.getClassName() $= "GuiBitmapButtonCtrl")
  		{
  			%button.setText("\co\c1" @ %button.getText());
  			%button.setBitmap("Add-Ons/Client_DarkGlass/image/tab1");
  		}
  	}
	
	GlassScrollProfile.fillColor = "54 57 62 255";
	GlassScrollProfile.borderColor = "54 57 62 255";

	GlassTextEditProfile.fillColor = "72 75 81 255";
	GlassTextEditProfile.borderColor = "72 75 81 255";
	GlassTextEditProfile.fontColor = "240 240 240 255";
}
setGlassDarkMode();

package DarkGlass 
{
	function GuiWindowCtrl::onAdd(%this, %a) 
	{
		if(%this.profile $= "GlassWindowProfile") 
			%this.setProfile(GlassWindowDarkProfile);

		if(isFunction(%this, onAdd))
	  		return parent::onAdd(%this, %a);
  	}

  	function GlassLiveRoom::pushText(%this, %text)
  	{
  		%text = "<linkcolor:3070c5><color:EEEEEE>" @ %text; // Change the default color and links
  		%text = strReplace(%text, "<linkcolor:222222>", "<linkcolor:FFFFFF>"); // Normal players
  		%text = strReplace(%text, "<color:333333>", "<color:EEEEEE>"); // normal chat

	  	return parent::pushText(%this, %text);
  	}

  	function GlassLiveUserListSwatch::onMouseEnter(%this) 
  	{
  		parent::onMouseEnter(%this);
  		%this.swatch.color = "40 43 48 255";
  	}

  	function GlassLiveUserListSwatch::onMouseUp(%this, %mod, %point, %count) 
  	{
  		parent::onMouseUp(%this, %mod, %point, %count);
  		%this.swatch.color = "40 43 48 255";
  	}

  	function GlassLiveUserListSwatch::onAdd(%this)
  	{
  		if(isFunction(%this, onAdd))
  			parent::onAdd(%this);

  		%text = %this.swatch.text.getValue();
  		if(!%this.user.isFriend() && !%this.user.isMod && !%this.user.isAdmin)
  			%text = "\c6" @ stripMLControlChars(%text);

  		%this.swatch.text.setText(%text);
  	}

  	function GlassHighlightMouse::onAdd(%this)
  	{
  		%this.schedule(10, "darkMode");
  		if(isFunction(%this, onAdd))
  			return parent::onAdd(%this);
  	}

  	function GlassLive::onMessage(%message, %username, %blid)
  	{
  		parent::onMessage(%message, %username, %blid);
  		
  		%gui = GlassLive::openDirectMessage(%blid, %username);

  		if(!%gui)
    		return;

    	%text = %gui.chattext.getValue();
    	%text = strReplace(%text, "<linkcolor:222222>", "<linkcolor:FFFFFF>"); // Normal players
  		%text = strReplace(%text, "<color:333333>", "<color:EEEEEE>"); // normal chat
    	%gui.chattext.setValue(%text);
    }

    function GlassLive::createUserWindow(%uo)
    {
    	%window = parent::createUserWindow(%uo);

    	%window.infoSwatch.color = "54 57 62 255";
    	%window.statusSwatch.mColor = "119 136 153 255";
    	return %window;
    }

    function GlassLoadingGui_UserList::update(%this)
    {
    	//parent::update(%this);

    	%this.clear();
  		for(%i = 0; %i < NPL_List.rowCount(); %i++) 
  		{
    		%row = getFields(NPL_List.getRowText(%i), 0, 3);
    		%id = NPL_List.getRowId(%i);

    		%this.addRow(%id, "\co\c2" @ %row);
  		}
  		NewPlayerListGui.UpdateWindowTitle();
    }

    function GlassServerControlGui_Prefs_Categories::add(%this, %obj)
    {
    	%p = parent::add(%this, %obj);

    	if(%obj.getClassName() $= "GuiSwatchCtrl")
    	{
    		if(%obj.color $= "235 235 235 255")
    		{
    			%obj.color = "80 80 80 255";
    		}
    		else if(%obj.color $= "230 230 230 255")
    		{
				%obj.color = "75 75 75 255";
    		}
   			%obj.ocolor = %obj.color;
   			%obj.text.setText("\co\c3" @ %obj.text.getValue());
    	}

    	return %p;

    }

    function GlassServerControlGui_CatMouseCtrl::onMouseEnter(%this)
    {
    	parent::onMouseEnter(%this);
 		%swatch = %this.getGroup();
 		 if(!%swatch.selected)
    		%swatch.color = "85 85 85 255";
    }

    function GlassServerControlGui_CatMouseCtrl::onMouseDown(%this) 
    {
    	parent::onMouseDown(%this);
    	%swatch = %this.getGroup();
    	%swatch.color = "120 120 120 255";
    }

    function GlassServerControlGui_CatMouseCtrl::onMouseLeave(%this) 
    {
    	parent::onMouseLeave(%this);
    	%swatch = %this.getGroup();
    	if(%swatch.selected)
    		%swatch.color = "120 120 120 255";
    }


};
activatePackage(DarkGlass);

function GlassHighlightMouse::darkMode(%this)
{
	%main = %this.getGroup();
	if(%this.status $= "Offline")
	{
		%main.color = "80 80 80 255";
		%main.text.setValue("\c6" @ %main.text.getValue());
	}
	else if(%this.status !$= "")
	{
		%main.color = "72 75 81 255";
		%main.text.setValue("\co" @ %main.text.getValue());
		%main.details.setValue("\co" @ stripMLControlChars(%main.details.getValue()));
	}
	else
	{
		%main.text.setValue("\co" @ %main.text.getValue());
		%main.color = "84 217 140 140";
	}
}